#!/bin/sh
### BEGIN INIT INFO
# Provides: OSEmu
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: open source cam emu
### END INIT INFO
# /etc/init.d/osemu
#
set -e
DAEMON=/usr/bin/OSEmu
NAME=OSEmu
PIDFILE=/tmp/.osemu/osemu.pid
PATH=/sbin:/bin:/usr/sbin:/usr/bin
OPTIONS=""
if [ ! -r $DAEMON ]; then
echo "Missing $NAME executable ($DAEMON)"
exit 1
fi
if [ -r /etc/default/osemu ]; then
. /etc/default/osemu
#check for username
if [ -z ${USER+x} ]; then
echo "Mssing user in config!"
exit 1
fi
#check for password
if [ -z ${PASS+x} ]; then
echo "Mssing password in config!"
exit 1
fi
#check for port
if [ -z ${PORT+x} ]; then
echo "Mssing port in config!"
exit 1
fi
#build options string
OPTIONS="-a $USER:$PASS -p $PORT"
#optinal key file
if [ ! -z ${KEYS+x} ]; then
if [ ! -r $KEYS/SoftCam.Key ]; then
echo "Missing SoftCam.Key ($KEYS)"
exit 1
fi
OPTIONS="$OPTIONS -c $KEYS"
fi
#optional log file
if [ ! -z ${LOGS+x} ]; then
OPTIONS="$OPTIONS -l $LOGS/$NAME.log"
fi
else
echo "Missing options file (/etc/default/osemu)!"
exit 1
fi
. /lib/lsb/init-functions
case "$1" in
start)
log_daemon_msg "Starting" "$NAME"
[ -d /tmp/.osemu ] || mkdir -p /tmp/.osemu
start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE --exec $DAEMON -- $OPTIONS
log_end_msg $?
;;
stop)
log_daemon_msg "Stopping" "$NAME"
start-stop-daemon --stop --quiet --pidfile $PIDFILE
log_end_msg $?
rm -f $PIDFILE
;;
restart)
$0 stop && sleep 2 && $0 start
;;
reload|force-reload)
echo "Reloading $NAME configuration files"
start-stop-daemon --stop --pidfile $PIDFILE --signal 1 --exec $DAEMON
echo "."
;;
status)
status_of_proc $DAEMON $NAME
exit $?
;;
*)
echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|status}"
exit 1
;;
esac
USER="vdr"
PASS="vdr"
PORT="54321"
KEYS="/usr/keys"
LOGS="/var/log"
[h=4]httpsavefullcfg[/h]Sie müssen registriert sein, um Links zu sehen.Parameter ist optional
Sicherung der Konfigurationsdateien
httpsavefullcfg = 0 # alle nicht leeren Parameter,
# alle nicht Default-Parameter,
# alle Parameter, die nicht den gleichen Inhalt enthalten wie dieselben Parameter in [global] (default).
1 # alle Parameter
OSemu ist ein kleiner kompakter micro-Emu mit Camd35 UDP-Funktion,
für alle die lieber opensource-Programme nutzen.
Credits go to "Admin" for this…
Osemu-README:
unterstützt wird z.Zt:Code:OSEmu ====== Here is a working sample for a simple (micro) emu. It includes the basic needed cs357x (camd35 UDP) functionality, and is very simple and compact. Build: ====== - Put a SoftCam.Key file into the source code directory (for example from skystar.org). Note: This does not apply for Mac OSX and Android, SoftCam.Key cannot be integrated on these systems at the moment. - Run `make` to compile OSEmu. Info: If you want to cross-compile OSEmu search for the "simpleemu" script by gorgone. Run: ==== - (optional) OSEmu does not require, but will make use of "SoftCam.Key" if available. "SoftCam.Key" is searched in: - /var/keys - The folder specified with the "-c " option. - You may use the program with the following options: -a : (set the cs357x user and password) [REQUIRED] -p (set the cs357x port) [REQUIRED] -c (set the folder where SoftCam.Key is searched) -b (start OSEmu in background/daemon mode) -v (log debug information) -l (write logs to this file) -e (enable emm au) - Currently only for Viaccess3. - Needs M0 key. - Oscam clients must be version r9843 or newer, and the OSEmu reader must have set "via_emm_global = 1". Examples: /usr/bin/OSEmu -a user:password -p 11000 -b /usr/bin/OSEmu -a user:password -p 11000 -b -c /usr/keys -l /var/log/osemu.log -e OSCam reader config for OSEmu ============================= [reader] label = OSEmu protocol = cs357x device = 127.0.0.1,11000 user = user password = password caid = 0D00,0D02,0D03,0D05,090F,0500,1801,0604,2600,FFFF ident = 0D00:000000,000004,000010,000014,000020,0000C0,0000C4,0000CC;0D02:000000,00008C,0000A0,0000A4,0000A8;0D03:000000,000004,000008,000024,000028;0D05:000000,000004,000010;090F:000000;0500:000000,030B00,023800,021110,007400,007800;1801:000000;0604:000000;2600:000000;FFFF:000000 group = 1 via_emm_global = 1
Github:Code:0D03; // Sky Link 23.5E 0D05; // ORF; Austriasat 0D02; // UPC 0.8°W 0D00; // DigiTurk 7.0°W 090F; // Viasat 4.8°E softnds 0500:030B00; // TNTSat 19.2°E SD 0500:023800; // SSR/SRG Swiss 13.0°E 0500:021110; // ANT 1 Europe 9°E 0500:007400; // TV-MCM 13°E 0500:007800: // SIC 16°E 0604; // Bulsat 39°E 2600; // Biss
Sie müssen registriert sein, um Links zu sehen.
Source-code:
Sie müssen registriert sein, um Links zu sehen.
Osemu bauen:
- Archiv entpacken oder von Github laden
Code:svn checkout https://github.com/oscam-emu/OSEmu/trunk OSEmu
- Will man ein Bin mit integrierten Keys bauen, muß man eine gültige SoftCam.Key in das Sourcecode-Verzeichnis kopieren
- enter "make" (ohne Optionen solange nicht crosscompiliert wird)
oder über compileOSEmu.sh zusammen mit gorgones simplebuild-script:
Link ist nicht mehr aktiv.
Dazu sollte das eigentliche simplebuild-script zum Kompilieren von Oscam installiert und damit der/das entsprechende Toolchain heruntergeladen worden sein.New version of compileOSEmu.sh
Please place this new version in the same folder as simplebuild, it uses the same toolchains and the same tools.
Don't forgot to:
- unzip the file
- copy it into you simplebuild folder
- chmod 755 compilOSEmu.sh
Small corrections:
- version missing in generated file when OSEmu-svn was not already there
- native compilation was not working
- some more help message
New features:
- support for UPX compression with option -c at the end.
Exemple of usage to compile for mipsoe20:
Enjoy!Code:./compilOSEmu.sh mipsoe20 or ./compilOSEmu.sh mipsoe20 -c
Thanks to Pr2
z.b. mit
Code:cd /opt mkdir simplebuild cd simplebuild wget ss4200.homelinux.com/oscam/simplebuild chmod 777 simplebuild ./simplebuild debinstall ./simplebuild menu
OSEmu starten:
Wenn man eine Bin mit integrierten Keys gebaut hat, ist keine SoftCam.Key mehr nötig.
Wenn nicht, wird diese in /var/keys oder in dem Pfad gesucht, der mit Parameter -c angegeben wurde.
Die StartparameterStart einer Bin mit integrierten Key oder SoftCam.key in /var/keysCode:-a : (set the cs357x user and password) [REQUIRED] -p (set the cs357x port) [REQUIRED] -c (set the folder where SoftCam.Key is searched) -b (start OSEmu in background/daemon mode) -v (log debug information) -l (write logs to this file) -e (enable emm au) - Currently only for Viaccess3. - Needs M0 key. - Oscam clients must be version r9843 or newer, and the OSEmu reader must have set "via_emm_global = 1".
z.B.Code:Pfad/bin.name -a user:password -p port -b
Start einer Bin mit SoftCam.Key unter /usr/keys, mit Logausgabe und aktiviertem AU für VIACode:/var/bin/OSEmu -a emu:emu -p 54321 -b
der passende Reader in OScam sollte dann so aussehen:Code:/usr/bin/OSEmu -a emu:emu -p 54321 -b -c /usr/keys -l /var/log/osemu.log -e
Code:[reader] label = OSEmu protocol = cs357x device = 127.0.0.1,54321 user = emu password = emu caid = 0D00,0D02,0D03,0D05,090F,0500,1801,0604,2600,FFFF ident = 0D00:000000,000004,000010,000014,000020,0000C0,0000C4,0000CC;0D02:000000,00008C,0000A0,0000A4,0000A8;0D03:000000,000004,000008,000024,000028;0D05:000000,000004,000010;090F:000000;0500:000000,030B00,023800,021110,007400,007800;1801:000000;0604:000000;2600:000000;FFFF:000000 group = 1 via_emm_global = 1
und ein Example start script for Debian von gehirnfluter aus dem streamboard:
Code:#!/bin/sh ### BEGIN INIT INFO # Provides: OSEmu # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: open source cam emu ### END INIT INFO # /etc/init.d/osemu # set -e DAEMON=/usr/local/bin/OSEmu NAME=OSEmu OPTIONS="-a emu:emu -p 54321" PIDFILE=/tmp/.osemu/osemu.pid PATH=/sbin:/bin:/usr/sbin:/usr/bin test -x $DAEMON || exit 0 . /lib/lsb/init-functions case "$1" in start) log_daemon_msg "Starting OSEmu" "OSEmu" [ -d /tmp/.osemu ] || mkdir -p /tmp/.osemu start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE --exec $DAEMON -- $OPTIONS log_end_msg $? ;; stop) log_daemon_msg "Stopping OSEmu" "OSEmu" start-stop-daemon --stop --quiet --pidfile $PIDFILE log_end_msg $? rm -f $PIDFILE ;; restart) $0 stop && sleep 2 && $0 start ;; reload|force-reload) echo "Reloading $NAME configuration files" start-stop-daemon --stop --pidfile $PIDFILE --signal 1 --exec $DAEMON echo "." ;; status) status_of_proc $DAEMON $NAME exit $? ;; *) echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|status}" exit 1 ;; esac exit 0
Das Ding läuft bei mir hervorragend.
viel Spass beim TestenCode:root@igel ~ > ps ax |grep osemu 24179 pts/2 S+ 0:00 grep osemu 29537 ? S 0:00 /var/emu/oscam/osemu -a emu emu -p 54321
Code:2013/10/08 18:43:30 B72F4068 c dvbs (0D05&000004/0000/132F/9C:FA29BCDD7AEA9761BB189F3E89D4F676): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:43:40 B72F4068 c dvbs (0D05&000004/0000/132F/9C:0BEFEA5FA794AB9A616735C551CF4973): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:43:50 B72F4068 c dvbs (0D05&000004/0000/132F/9C:A56C2B75C4974B7CB1A0928C9526D19E): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:44:00 B72F4068 c dvbs (0D05&000004/0000/132F/9C:B2615BA3413CA90E718E9FCCA5039FAE): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:44:10 B72F4068 c dvbs (0D05&000004/0000/132F/9C:184268430EFA569BEDECC2B3732B965F): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:44:20 B72F4068 c dvbs (0D05&000004/0000/132F/9C:6070C6B557F99D4A2041C57A6F29604B): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:44:30 B72F4068 c dvbs (0D05&000004/0000/132F/9C:02C8B889F6667904F8375C71B0C05C32): found (1 ms) by emulator (P/1/2/3) - ORF1 HD 2013/10/08 18:44:40 B72F4068 c dvbs (0D05&000004/0000/132F/9C:F6792A6CC65DC7054E0D1F5F54366C46): found (1 ms) by emulator (P/1/2/3) - ORF1 HD
Gruß
janni1
Kannst du im Webif von Oscam mal folgendes machen:
Zuerst gehst du auf Configuration, dann auf WebIf/Monitor dann bei Http save full config NO auswählen und auf Save klicken.
Jetzt sollte deine Config deutlich übersichlicher sein, und dadurch auch besser lesbar.
Wir verwenden Cookies und ähnliche Technologien für folgende Zwecke:
Akzeptieren Sie Cookies und diese Technologien?
Wir verwenden Cookies und ähnliche Technologien für folgende Zwecke:
Akzeptieren Sie Cookies und diese Technologien?